Products - Get By Customer
ID で製品を取得します。 この操作は、契約の種類が Microsoft Partner Agreement の請求先アカウントでのみサポートされます。
GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/customers/{customerName}/products/{productName}?api-version=2019-10-01-preview
URI パラメーター
| 名前 | / | 必須 | 型 | 説明 |
|---|---|---|---|---|
|
billing
|
path | True |
string |
課金アカウントを一意に識別する ID。 |
|
customer
|
path | True |
string |
顧客を一意に識別する ID。 |
|
product
|
path | True |
string |
製品を一意に識別する ID。 |
|
api-version
|
query | True |
string |
クライアント要求で使用する API のバージョン。 現在のバージョンは 2019-10-01-preview です。 |
応答
| 名前 | 型 | 説明 |
|---|---|---|
| 200 OK |
わかりました。 要求は成功しました。 |
|
| Other Status Codes |
操作が失敗した理由を説明するエラー応答。 |
セキュリティ
azure_auth
Azure Active Directory OAuth2 フロー。
型:
oauth2
フロー:
implicit
Authorization URL (承認 URL):
https://login.microsoftonline.com/common/oauth2/authorize
スコープ
| 名前 | 説明 |
|---|---|
| user_impersonation | ユーザー アカウントを偽装する |
例
Product
要求のサンプル
GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/customers/{customerName}/products/{productName}?api-version=2019-10-01-preview
応答のサンプル
{
"id": "/providers/Microsoft.Billing/BillingAccounts/{billingAccountName}/customers/{customerName}/products/{productName}",
"name": "{productName}",
"type": "Microsoft.Billing/billingAccounts/customers/products",
"properties": {
"productTypeId": "A12345",
"productType": "Subscription",
"displayName": "AIP Dev",
"status": "Active",
"purchaseDate": "2018-05-01T17:32:28Z",
"lastCharge": {
"currency": "USD",
"value": 5000
},
"lastChargeDate": "2018-06-15T17:32:28Z",
"billingFrequency": "Monthly",
"quantity": 4,
"skuId": "0001",
"skuDescription": "Enterprise Agreement Development",
"availabilityId": "AvailabilityId1",
"parentProductId": "45000000-0000-0000-0000-0000000001242",
"customerId": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/customers/{customerName}",
"customerDisplayName": "Customer 1",
"billingProfileId": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/11000000-0000-0000-0000-000000000000",
"billingProfileDisplayName": "Contoso operations billing",
"reseller": {
"resellerId": "3b65b5a8-bd4f-4084-90e9-e1bd667a2b19",
"description": "Reseller2"
}
}
}
定義
| 名前 | 説明 |
|---|---|
| Amount |
金額。 |
|
Billing |
製品が課金される頻度。 |
|
Error |
エラーの詳細。 |
|
Error |
エラー応答は、サービスが受信要求を処理できないことを示します。 エラー メッセージに理由が示されます。 |
|
Error |
|
| Product |
製品。 |
|
Product |
製品の現在の状態。 |
| Reseller |
リセラーの詳細。 |
Amount
金額。
| 名前 | 型 | 説明 |
|---|---|---|
| currency |
string |
金額値の通貨。 |
| value |
number |
金額の値。 |
BillingFrequency
製品が課金される頻度。
| 値 | 説明 |
|---|---|
| OneTime | |
| Monthly | |
| UsageBased |
ErrorDetails
エラーの詳細。
| 名前 | 型 | 説明 |
|---|---|---|
| code |
string |
エラー コード。 |
| details |
エラーのサブ詳細。 |
|
| message |
string |
操作が失敗した理由を示すエラー メッセージ。 |
| target |
string |
特定のエラーのターゲット。 |
ErrorResponse
エラー応答は、サービスが受信要求を処理できないことを示します。 エラー メッセージに理由が示されます。
| 名前 | 型 | 説明 |
|---|---|---|
| error |
エラーの詳細。 |
ErrorSubDetails
| 名前 | 型 | 説明 |
|---|---|---|
| code |
string |
エラー コード。 |
| message |
string |
操作が失敗した理由を示すエラー メッセージ。 |
| target |
string |
特定のエラーのターゲット。 |
Product
製品。
| 名前 | 型 | 説明 |
|---|---|---|
| id |
string |
リソース ID。 |
| name |
string |
リソース名。 |
| properties.availabilityId |
string |
製品の可用性。 |
| properties.billingFrequency |
製品が課金される頻度。 |
|
| properties.billingProfileDisplayName |
string |
製品の請求先となる課金プロファイルの名前。 |
| properties.billingProfileId |
string |
製品の請求先となる課金プロファイルの ID。 |
| properties.customerDisplayName |
string |
製品を購入した顧客の名前。 このフィールドは、Microsoft Partner Agreement の課金アカウントにのみ適用されます。 |
| properties.customerId |
string |
製品を購入した顧客の ID。 このフィールドは、Microsoft Partner Agreement の課金アカウントにのみ適用されます。 |
| properties.displayName |
string |
製品の表示名。 |
| properties.endDate |
string (date-time) |
製品が更新または取り消される日付。 |
| properties.invoiceSectionDisplayName |
string |
製品の請求先となる請求書セクションの名前。 |
| properties.invoiceSectionId |
string |
製品の請求先となる請求書セクションの ID。 |
| properties.lastCharge |
先月の料金。 |
|
| properties.lastChargeDate |
string (date-time) |
最後の請求日。 |
| properties.parentProductId |
string |
親製品 ID。 |
| properties.productType |
string |
製品の種類の説明。 |
| properties.productTypeId |
string |
製品の種類の ID。 |
| properties.purchaseDate |
string (date-time) |
製品が購入された日付。 |
| properties.quantity |
number |
製品に対して購入された数量。 |
| properties.reseller |
この製品のリセラー。 |
|
| properties.skuDescription |
string |
製品の SKU の説明。 |
| properties.skuId |
string |
製品の SKU ID。 |
| properties.status |
製品の現在の状態。 |
|
| properties.tenantId |
string |
製品が使用されているテナントの ID。 |
| type |
string |
リソースの種類。 |
ProductStatusType
製品の現在の状態。
| 値 | 説明 |
|---|---|
| Active | |
| Inactive | |
| PastDue | |
| Expiring | |
| Expired | |
| Disabled | |
| Cancelled | |
| AutoRenew |
Reseller
リセラーの詳細。
| 名前 | 型 | 説明 |
|---|---|---|
| description |
string |
リセラーの名前。 |
| resellerId |
string |
リセラーの MPN ID。 |